Name:           libmygpo-qt
Version:        1.1.0
Release:        %mkrel 2
Summary:        Qt/C++ Library wrapping the gPodder.net Webservice
Group:          Graphical desktop/KDE5
License:        GPLv3
URL:            http://wiki.gpodder.org/wiki/Libmygpo-qt
Source0:        http://stefan.derkits.at/files/libmygpo-qt/%{name}.%{version}.tar.xz
BuildRequires: cmake
BuildRequires: lib64qjson-devel
BuildRequires: lib64qt4-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5network-devel
BuildRequires: qtbase5-common-devel

%description
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API
(http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
-) Simple API Calls Downloading subscription Lists & Uploading subscription
   Lists
-) Retrieving Subscription Changes (you should use "Retrieving Updates for a
   given Device" instead)

#-------------------------------------------------------------------------------
### Qt5 ###

%define mygpoqt5_major 1
%define libmygpo_qt5 %mklibname mygpo-qt5_ %{mygpoqt5_major}

%package -n %{libmygpo_qt5}
Summary:        Qt5/C++ Library wrapping the gPodder.net Webservice
Group:          Graphical desktop/KDE5

%description -n %{libmygpo_qt5}
Qt5/C++ Library wrapping the gPodder.net Webservice.

%files -n %{libmygpo_qt5}
%{_libdir}/libmygpo-qt5.so.%{mygpoqt5_major}*

#-------------------------------------------------------------------------------

%define mygpoqt5devel %mklibname mygpo-qt5 -d

%package -n %{mygpoqt5devel}
Summary:        Devel stuff for mygpo-qt5
Group:          Development/Libraries
Requires:       %{libmygpo_qt5} = %{version}-%{release}
Provides:       mygpo-qt5-devel = %{version}-%{release}

%description -n %{mygpoqt5devel}
This package contains header files needed if you wish to build applications
based on mygpo-qt5.

%files -n %{mygpoqt5devel}
%{_qt5_includedir}/mygpo-qt/
%{_libdir}/pkgconfig/libmygpo-qt5.pc
%{_libdir}/libmygpo-qt5.so
%{_libdir}/cmake/mygpo-qt/*.cmake
%{_libdir}/cmake/mygpo-qt5/*.cmake
%dir %{_libdir}/cmake/mygpo-qt

### End Qt5 ###

#-----------------------------------------------------------------------------

### Qt4 ###

%define mygpoqt_major 1
%define libmygpoqt %mklibname mygpo-qt %{mygpoqt_major}

%package -n %{libmygpoqt}
Summary:        Qt4/C++ Library wrapping the gPodder.net Webservice
Group:          Graphical desktop/KDE5
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < %{version}

%description -n %{libmygpoqt}
Qt4/C++ Library wrapping the gPodder.net Webservice.

%files -n %{libmygpoqt}
%{_libdir}/libmygpo-qt.so.%{mygpoqt_major}*

#-------------------------------------------------------------------------------

%define mygpodevel %mklibname mygpo-qt -d

%package -n %{mygpodevel}
Summary:        Devel stuff for %{name}
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libmygpoqt} = %{version}-%{release}

%description -n %{mygpodevel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{mygpodevel}
%{_includedir}/mygpo-qt/
%{_libdir}/pkgconfig/libmygpo-qt.pc
%{_libdir}/libmygpo-qt.so
%{_libdir}/cmake/mygpo-qt/Mygpo-qtConfig*.cmake
%{_libdir}/cmake/mygpo-qt/Mygpo-qtTargets*.cmake
%dir %{_libdir}/cmake/mygpo-qt

### End Qt4 ###
#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}.%{version}
%apply_patches

cp -a . %{_builddir}/qt4

%build
### Qt5 build ###
%cmake_qt5 \
        -DBUILD_WITH_QT4=OFF \
        -DMYGPO_BUILD_TESTS=OFF \
        -DINCLUDE_INSTALL_DIR=%{_qt5_includedir}/mygpo-qt
%make_build

### Qt4 build ###
pushd ../../qt4
%cmake_qt4 \
        -DBUILD_WITH_QT4=ON \
        -DMYGPO_BUILD_TESTS=OFF \
        -DINCLUDE_INSTALL_DIR=%{_includedir}/mygpo-qt
%make_build
popd

%install
### Qt5 install ###
%make_install -C build

### Qt4 install ###
%make_install -C ../qt4/build


%changelog
* Tue Oct 15 2019 tex - 1.1.0-2pclos2019
- rebuild against updates

* Tue Apr 17 2017 bb2 <bb2> - 1.1.0-1pclos2018
- update
